%global momorel 1

Name: sqlite
Summary: SQLite is a C library that implements an embeddable SQL database engine
Version: 3.6.19
Release: %{momorel}m%{?dist}
Source0: http://www.sqlite.org/sqlite-%{version}.tar.gz
NoSource: 0
Patch0: sqlite-3.6.7-ldl.patch
Group: Applications/Databases
URL: http://www.sqlite.org/
License: Public Domain

%{?include_specopt}
%{?!do_test: %global do_test 0}

BuildPreReq: readline-devel >= 5.0, ncurses-devel, tcl
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
SQLite3 is a C library that implements an embeddable SQL database engine.
Programs that link with the SQLite3 library can have SQL database access
without running a separate RDBMS process. The distribution comes with a
standalone command-line access program (sqlite3) that can be used to
administer an SQLite3 database and which serves as an example of how to
use the SQLite3 library.

%package -n %{name}-devel
Summary: Header files and libraries for developing apps which will use sqlite3
Group: Applications/Databases
Requires: %{name} = %{version}-%{release}

%description -n %{name}-devel
The sqlite3-devel package contains the header files and libraries needed
to develop programs that use the sqlite database library.

%prep
%setup -q -n sqlite-%{version}
%patch0 -p1 -b .ldl~

%build
autoreconf -fi
export CFLAGS="$RPM_OPT_FLAGS -DSQLITE_DISABLE_DIRSYNC=1 -Wall"
%configure --enable-threadsafe \
           --enable-threads-override-locks \
           --enable-load-extension

%make
make doc

%if %{do_test}
%check
make test
%endif

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%make DESTDIR=%{buildroot} install 

find %{buildroot} -name "*.la" -delete

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%{_libdir}/*.so.*
%{_bindir}/*
#%doc README doc/*
%doc README

%files -n %{name}-devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/sqlite3.pc
%{_libdir}/*.so
%{_libdir}/*.a
%{_datadir}/tcl*/sqlite3
%{_includedir}/*


%changelog
* Sun Oct 18 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (3.6.19-1m)
- update 3.6.19

* Fri Sep 25 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (3.6.18-1m)
- update 3.6.18

* Wed Aug 26 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (3.6.17-1m)
- update 3.6.17

* Wed Jul 29 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.6.16-1m)
- update 3.6.16

* Wed Jun 24 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (3.6.15-1m)
- update 3.6.15

* Sat Jun  6 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (3.6.14.2-1m)
- update 3.6.14.2

* Sun May 24 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (3.6.14.1-1m)
- update 3.6.14.1

* Sat May 16 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (3.6.14-1m)
- update 3.6.14

* Sat Apr 18 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (3.6.13-1m)
- update 3.6.13

* Sat Apr 11 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (3.6.12-1m)
- update 3.6.12

* Thu Feb 19 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (3.6.11-1m)
- update 3.6.11

* Sun Feb  8 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (3.6.10-1m)
- update 3.6.10

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.6.7-3m)
- rebuild against rpm-4.6

* Thu Jan  1 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.6.7-2m)
- build with --enable-load-extension configure option
-- apply Patch0 from http://www.sqlite.org/cvstrac/tktview?tn=3555
-- need autoreconf
- add specopt do_test to run make check
  the default value is 0

* Thu Dec 18 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.6.7-1m)
- update to 3.6.7

* Thu Nov 27 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.6.6.2-1m)
- update to 3.6.6.2

* Sun Nov 23 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.6.6.1-1m)
- update to 3.6.6.1

* Sat Nov 22 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.6.6-1m)
- update to 3.6.6

* Sat Nov 15 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.6.5-1m)
- update to 3.6.5

* Sat Oct 18 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (3.6.4-1m)
- update 3.6.4

* Sun Sep  7 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (3.6.2-1m)
- update 3.6.2

* Sat Aug  9 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (3.6.1-1m)
- update 3.6.1

* Sun Jul 27 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (3.6.0-1m)
- update to 3.6.0

* Wed Jul  9 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.8-2m)
- rebuild to resolve dependency

* Sat May 17 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3.5.8-1m)
- update to 3.5.8

* Wed Apr 23 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3.5.8-1m)
- update to 3.5.8

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.5.7-2m)
- rebuild against gcc43

* Fri Mar 21 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3.5.7-1m)
- update to 3.5.7

* Mon Feb 18 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3.5.6-1m)
- update to 3.5.6

* Sun Feb  3 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3.5.5-1m)
- update to 3.5.5

* Sun Dec 16 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (3.5.4-1m)
- update to 3.5.4

* Fri Dec  7 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (3.5.3-1m)
- update to 3.5.3

* Fri Nov  9 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (3.5.2-1m)
- update to 3.5.2

* Fri Oct 12 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (3.5.1-1m)
- update to 3.5.1
- add sqlite-3.5.1-remove-docs.patch. 
-- document build error...

* Mon Aug 20 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (3.4.2-1m)
- update to 3.4.2

* Wed Jun 20 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (3.4.0-1m)
- update to 3.4.0

* Tue May  1 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (3.3.17-1m)
- update to 3.3.17

* Mon Feb 19 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (3.3.13-1m)
- update to 3.3.13

* Tue Feb 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.3.11-2m)
- delete libtool library

* Thu Jan 25 2007 KAJIWARA, Atsushi <kajiwara@noguard.org>
- (3.3.11-1m)
- version up 3.3.11

* Tue Jan 16 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (3.3.10-1m)
- update to 3.3.10

* Mon Aug 28 2006 YONEKAWA Susumu <yonekawas@mmg.roka.jp>
- (3.3.7-1m)
- update to 3.3.7

* Mon Jul 31 2006 Kazuhiko <kazuhiko@fdiary.net>
- (3.3.6-1m)
- minor bugfixes

* Fri Jul  7 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (3.3.5-3m)
- rebuild against readline-5.0

* Sat Jun 24 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (3.3.5-2m)
- change package name

* Sun Apr  9 2006 KAJIWARA, Atsushi <kajiwara@noguard.org>
- (3.3.5-1m)
- update to 3.3.5

* Wed Feb 15 2006 Kazuhiko <kazuhiko@fdiary.net>
- (3.3.4-1m)
- several bugfixes

* Thu Feb  9 2006 Kazuhiko <kazuhiko@fdiary.net>
- (3.3.3-1m)
- new stable version

* Wed Dec 21 2005 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (3.2.8-1m)
- update to 3.2.8

* Mon Sep 26 2005 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (3.2.7-1m)
- update to 3.2.7

* Tue Sep 20 2005 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (3.2.6-1m)
- update to 3.2.6

* Mon Aug 29 2005 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (3.2.5-1m)
- update to 3.2.5

* Thu Aug 25 2005 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (3.2.4-1m)
- update to 3.2.4

* Mon Aug 22 2005 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (3.2.3-1m)
- update to 3.2.3
- %%{_libdir}/*.so moved from main package to devel package

* Tue Aug  2 2005 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (3.2.2-1m)
- update to 3.2.2
- revised URL

* Mon Jun 13 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (3.2.1-1m)
- initial import to Momonga

